<link rel="import" href="frontend://bower_components/uibuilder-grid/uibuilder-grid.html">

<uibuilder-page>
    <h2>List of students:</h2>

    <uibuilder-common-filter>
        <data-source name="studentsDS"></data-source>
        <filter-types>
            <filter-type label="Name" filter="name"></filter-type>
            <filter-type label="Date of birth" filter="dateOfBirth"></filter-type>
        </filter-types>
    </uibuilder-common-filter>

    <vaadin-uibuilder-grid id="grid">
        <data-source name="studentsDS"></data-source>
        <vaadin-grid-column>
            <template class="header">Id</template>
            <template>{{item.id}}</template>
        </vaadin-grid-column>

        <vaadin-grid-column>
            <template class="header">Name</template>
            <template>{{item.name}}</template>
        </vaadin-grid-column>

        <vaadin-grid-column>
            <template class="header">Date of birth</template>
            <template>{{item.dateOfBirth}}</template>
        </vaadin-grid-column>
    </vaadin-uibuilder-grid>
</uibuilder-page>